<template>
  <div class="page-list-item">
    <router-link :to="route">{{ route.name }}</router-link>
  </div>
</template>

<script>
import { computed } from 'vue'

export default {
  name: 'PageListItem',
  props: {
    item: { type: Object, required: true },
  },
  setup(props) {
    const route = computed(() => {
      return { name: 'content-pages', query: { pageId: props.item.id } }
    })

    return {
      route,
    }
  },
}
</script>
